# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="5"

inherit git-r3 autotools eutils

SLOT="0"

DESCRIPTION="A fast and low-memory footprint OCI Container Runtime fully written in C"
HOMEPAGE="https://github.com/giuseppe/crun"
EGIT_REPO_URI="${HOMEPAGE}.git"

LICENSE="GPL-3"

KEYWORDS="~amd64"
IUSE="selinux systemd static-libs"
DEPEND="
		dev-libs/yajl
		sys-libs/libseccomp
		selinux? ( sys-libs/libselinux )
		systemd? ( sys-apps/systemd )
"
RDEPEND="${DEPEND}"
BDEPEND=""

src_unpack() {
	einfo "Tracking release ${PV}."
	git-r3_fetch ${EGIT_REPO_URI} refs/tags/${PV} || die "Failed to fetch"
	git-r3_checkout || die "Failed to check out"
}

src_configure() {
	cd "${EGIT_CHECKOUT_DIR}"
	einfo "Preparing targets..."
	eautoreconf || die "Failed to configure"
	econf $(usex static-libs '--enabled-shared  --enabled-static' '--enable-shared --disable-static' '' '') || die "failed to configure"
}

src_compile() {
	cd "${EGIT_CHECKOUT_DIR}"
	einfo "Commencing compilation..."
	emake || die "Failed to compile"
}
